* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Raleway", sans-serif;
}

@import url("https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&display=swap");

/* --- CONTAINER --- */
.container {
  width: 100%;
  height: 100dvh; /* dynamisk viewport */
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 2rem;
  position: relative;
}

/* --- VIDEO BAGGRUND --- */
.background-clip {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: -1;
}

/* --- INDHOLD --- */
.content {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 2.5rem;
  width: 90%;
  max-width: 1000px;
}

.logo {
  height: 250px;
  width: auto;
}

/* --- TEKSTBOKSE --- */
.infotekst {
  font-size: 22px;
  color: #f5df76;
  line-height: 1.6;
}

.infotekst p {
  margin-bottom: 1.2rem;
}

.highlight {
  font-weight: bold;
  color: #f5df76;
}

.infotekst strong {
  font-weight: bold;
  color: #f5df76;
}
.highlight {
  color: #ffd700;
  font-weight: bold;
}

/* --- LINKS --- */
.mid-links {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  align-items: center;
}

.mid-links a {
  font-size: 23px;
  color: #fff;
  text-decoration: none;
  border: 2px solid #fff;
  padding: 15px 25px;
  border-radius: 50px;
  transition: 0.3s;
  white-space: nowrap;
}

.mid-links a:hover {
  background-color: #fff;
  color: #000;
}

/*Kampagne side*/
.kampagne-side {
  background-color: #e17a30;
}
.kampagne {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  margin-top: 200px;
}
.kampagne-side .logo-kampagne {
  height: 350px;
  width: auto;
  margin-bottom: 150px;
}
.kamp-video {
  margin: 50px;
}
.kamp-video-y {
  margin: 50px;
  width: 400px;
  height: auto;
}
.video-h {
  margin-top: 50px;
  font-weight: 400;
}
.forside-knap {
  font-size: 23px;
  color: #fff;
  text-decoration: none;
  border: 2px solid #fff;
  padding: 15px 25px;
  border-radius: 50px;
  transition: 0.3s;
  margin-top: 20px;
  margin-bottom: 100px;
}
.kampinfo {
  color: #f5df76;
}

/* --- RESPONSIVE --- */
@media (max-width: 768px) {
  .content {
    width: 95%;
  }

  .logo {
    height: 180px;
  }

  .mid-links a {
    font-size: 20px;
    padding: 12px 20px;
  }
}
